" Load standard colors
source $VIMRUNTIME/syntax/synload.vim

" Override for all syntax files
if &background == 'light'
   highlight Comment cterm=NONE ctermfg=darkgrey gui=NONE guifg=SlateGray
   highlight Constant cterm=NONE ctermfg=blue gui=NONE guifg=blue
   highlight Identifier cterm=NONE ctermfg=black gui=NONE guifg=black
   highlight Statement cterm=bold ctermfg=darkgrey gui=bold guifg=black
   highlight Type cterm=NONE ctermfg=black gui=NONE guifg=black

   if &diff
      highlight DiffAdd ctermbg=green ctermfg=white
      highlight DiffChange ctermbg=cyan ctermfg=black
      highlight DiffText ctermbg=magenta ctermfg=white
      highlight DiffDelete ctermbg=red ctermfg=black
   endif
endif
